### Constructor

# Gtk Image new_from_resource

#### Declaration [src]

    GtkWidget*
    gtk_image_new_from_resource (
      const char* resource_path
    )

#### Description [src]

Creates a new `GtkImage` displaying the resource file `resource_path`.

If the file isn’t found or can’t be loaded, the resulting `GtkImage` will display a “broken image” icon. This function never returns `NULL`, it always returns a valid `GtkImage` widget.

If you need to detect failures to load the file, use gdk_pixbuf_new_from_file() to load the file yourself, then create the `GtkImage` from the pixbuf.

The storage type (see gtk_image_get_storage_type()) of the returned image is not defined, it will be whatever is appropriate for displaying the file.

#### Parameters

`resource_path` | `const char*`
| A resource path.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.

#### Return value

Returns: | `GtkWidget`
| A new `GtkImage`.
| The data is owned by the called function.